package goap

type W3InboxData struct {
	FullIdType
}

func (actor *W3InboxData) GetSelfOrBase() (BaseApChain, bool) {
	return actor.FullIdType.GetSelfOrBase()
}

func (actor *W3InboxData) MarshalToMap() map[string]any {
	return actor.FullIdType.MarshalToMapWithName(KEY_W3_INBOX)
}

func ParseW3InboxData(raw map[string]any, next BaseApChain) (BaseApChain, error) {
	tmp, err := ParseIdTypeWithName(raw, next, KEY_W3_INBOX)
	if err != nil {
		return nil, err
	}
	return &W3InboxData{*tmp}, nil
}
