# GoAp

A Go library to more easily work with ActivityPub

## Design goal

Provide an extendable and easy to use system for working with ActivityPub activities

## Why?

Because the other existing solutions (used by fedbox and gotosocial) are both narrow in scope, 
only providing a subset of what AP is capable of, while simultaniously locking you into using them in a very specific way.

This library attempts to provide a more flexible interface to ActivityPub (and indirectly and technically jsonld too) by splitting 
it up into lots of small structs, one per attribute and extendable by implementing a parser func and an interface on the struct, 
then giving the parser func to the main parser of the library

Additionally the library provides structs that contain information that common ActivityPub servers send, such as Mastodon's Persons

## Examples
TODO: Add examples here
